local MAJOR = "StarLibPluginUnit-1.0" 
local MINOR = 9

local PluginUnit = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginUnit then return end

if not PluginUnit.__index then
	PluginUnit.__index = PluginUnit
end

local environment

-- @name PluginUnit:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new StarPluginUnit object
function PluginUnit:New(environment)
	
	local obj = environment

	setmetatable(obj, self)

	environment.UnitExists = _G.UnitExists
	environment.UnitIsPlayer = _G.UnitIsPlayer
	environment.UnitBuff = _G.UnitBuff
	environment.GetSpellInfo = _G.GetSpellInfo
	environment.UnitIsConnected = _G.UnitIsConnected
	environment.UnitIsFeignDeath = _G.UnitIsFeignDeath
	environment.UnitIsGhost = _G.UnitIsGhost
	environment.UnitIsDead = _G.UnitIsDead
	environment.UnitLevel = _G.UnitLevel
	environment.UnitClassification = _G.UnitClassification
	environment.UnitSelectionColor = _G.UnitSelectionColor
	environment.UnitRace = _G.UnitRace
	environment.GetGuildInfo = _G.GetGuildInfo
	environment.UnitName = _G.UnitName
	environment.UnitClass = _G.UnitClass
	environment.UnitHealth = _G.UnitHealth
	environment.UnitHealthMax = _G.UnitHealthMax
	environment.UnitMana = _G.UnitMana
	environment.UnitManaMax = _G.UnitManaMax
	environment.UnitFactionGroup = _G.UnitFactionGroup
	environment.UnitCreatureFamily = _G.UnitCreatureFamily
	environment.UnitCreatureType = _G.UnitCreatureType
	environment.UnitIsUnit = _G.UnitIsUnit
	environment.RAID_CLASS_COLORS = _G.RAID_CLASS_COLORS
	
	return obj	
	
end
